
Infrastructure - Bug #7373

Handle index attempt when 'zookeeper is unavailable'

2015-09-22 16:46 - Skye Roseboom

Status: Closed Start date: 2015-09-22

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

During testing on cn-dev-2, some index updates/inserts where rejected due to error:

[ERROR] 2015-09-17 00:23:05,225 (HTTPService:writeError:217)

<?xml version="1.0" encoding="UTF-8"?>

5035Cannot talk to ZooKeeper - Updates are disabled.503

Need to handle these errors so that index task is replaced in task queue and retried later.

History

#1 - 2015-09-23 20:08 - Skye Roseboom

- Status changed from New to In Progress

- % Done changed from 0 to 30

#2 - 2015-10-14 18:29 - Skye Roseboom

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

Updated logic so exceptions that occur during solr communication bubble up to the index processor controller logic so index task is rescheduled in

future.

#3 - 2015-10-19 19:15 - Skye Roseboom

- Status changed from Testing to Closed

- % Done changed from 50 to 100

tested in cn-dev environment - looks like update is causing exception to bubble up to the IndexTaskProcessor for rescheduling.
